Bug 90048 - ypserv stops responding
ypserv stops responding
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Steve Dickson
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-01 13:30 EDT by Michael Blandford
Modified: 2015-01-07 19:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:06:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of ypserv in the hung state (61.71 KB, text/plain)
2003-05-12 12:06 EDT, Michael Blandford
no flags Details

  None (edit)
Description Michael Blandford 2003-05-01 13:30:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030312

Description of problem:
ypserv process stops responding to clients and must be restarted.

Slaves have 500 or so clients on them.

This problem did not occur with the 1.3.x series of ypserv.


Version-Release number of selected component (if applicable):
ypserv-2.5-2.7x

How reproducible:
Always

Steps to Reproduce:
1.  In our environment, it will hang within 72 hours.  Often sooner.  We have
had difficulty reproducing it for smaller sites.
2.
3.
    

Expected Results:  ypserv should continue to handle client requests

Additional info:

Straces, etc to be attached.
Comment 1 Michael Blandford 2003-05-01 13:38:44 EDT
I cant find my strace.  I will update as soon as it hangs again.  What other
debug info would you like to see
Comment 2 Michael Blandford 2003-05-12 12:06:16 EDT
Created attachment 91622 [details]
strace of ypserv in the hung state

Strace showing the problem.  Requests are coming in but ypserv is not
responding
Comment 3 Michael Blandford 2003-05-19 16:32:48 EDT
Tried the 2.8.0-10 version from rawhide.  It shows the same problem.
Comment 4 Bill Nottingham 2006-08-07 14:45:18 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 5 Bill Nottingham 2006-10-18 12:06:45 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.